Package com.xmlmind.w2x.processor

## Class Main

- java.lang.Object
- - com.xmlmind.w2x.processor.Main

-     public final class Main
      extends Object

  Implementation of the `w2x` command-line utility.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Main()` | Simple constructor (use it when there are no plugins).
    `Main​(Map<String,​Object> env)` | Constructor invoked by `Start`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `initPlugins​(String[] searchPluginErrors, URL[] pluginURLs)` | Load and register the plugins found in specified locations.
    `static boolean` | `initResolver​(File installDir)` | Adds a "`w2x:`" entry pointing to specified URL to the XML catalogs used by processors to resolve URLs.
    `static void` | `main​(String[] args)` |
    `void` | `run​(String[] args)` | Perform the conversion defined by specified `w2x` command-line arguments.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Main

          public Main()

      Simple constructor (use it when there are no plugins).

    - #### Main

          public Main​(Map<String,​Object> env)

      Constructor invoked by `Start`.
      Parameters:
        `env` - map initialized by `Start` containing environment info like the installation directory and the location of `.w2x_plugin` files.

  - ### Method Detail

    - #### main

          public static void main​(String[] args)

    - #### initResolver

          public static final boolean initResolver​(File installDir)

      Adds a "`w2x:`" entry pointing to specified URL to the XML catalogs used by processors to resolve URLs.
      Parameters:
        `installDir` - the installation directory of XMLmind Word To XML. May be `null` in which case the resolver cannot be initialized.
      Returns:
        `true` if the resolver has been initialized; `false`otherwise
      See Also:
        `Processor.initResolver(java.net.URL)`

    - #### initPlugins

          public static final void initPlugins​(String[] searchPluginErrors,
                                               URL[] pluginURLs)

      Load and register the plugins found in specified locations.
      Parameters:
        `searchPluginErrors` - errors reported by `Start` while scanning `W2X_PLUGIN_PATH` for plugins.
        `pluginURLs` - locations of the plugins found by `Start`.

    - #### run

          public void run​(String[] args)

      Perform the conversion defined by specified `w2x` command-line arguments.